<!-- refundiDetail 售后申请 -->
<template>
  <div class="refundiDetail">
    <div class="r-content">
      <p v-if="info.status ==0" class="r-title ">等待商家处理售后申请</p>
      <p v-if="info.status ==1" class="r-title m_red ">商家已处理售后申请</p>
      <p class="t-t1"> 退款退货申请流程：</p>
      <p class="t-t1" v-for="(item ,index) in tipList" :key="index">{{item}}</p>
    </div>

    <div class="mb10 mt10 address flex flex-m " v-if="info.receiver">
      <van-icon name="location-o" size="0.4rem" />
      <div class="flex-1 ml10 mr10">
        <div>
          <div>退货收货人: <span class="mr20 ml10">{{info.receiver}}</span> <span>{{info.receiver_mobile}}</span></div>
          <div class="mt10">{{info.address_text}}{{info.address}}</div>
        </div>
      </div>

    </div>

    <div class="r-t2">协商详情</div>

    <div class="con-text">
      <div class="flex con-item">
        <div class="con-lable flex-1">处理结果</div>
        <div class="con-cont m_red">{{info.refund_result | BaseData('refund','refund_result')| refund_result }}</div>
      </div>

      <div class="flex con-item">
        <div class="con-lable flex-1">售后号</div>
        <div class="con-cont">{{info.refund_no}}</div>
      </div>
      <div class="flex con-item">
        <div class="con-lable flex-1">处理方式</div>
        <div class="con-cont">{{info.apply_type|BaseData('refund','apply_type')}}</div>
      </div>

      <div class="flex con-item">
        <div class="con-lable flex-1">退款金额</div>
        <div class="con-cont">{{info.refund_amount}}</div>
      </div>

      <div class="flex con-item">
        <div class="con-lable flex-1">退款说明</div>
        <div class="con-cont">{{info.reason}}</div>
      </div>

      <div class="flex con-item" v-if="info.refund_credit">
        <div class="con-lable flex-1">凭证</div>
        <div class="con-cont"><img @click="showImg(info.refund_credit,index)" class="c-img" v-for="(img , index ) in info.refund_credit" :src="img" alt=""></div>
      </div>

      <div class="flex con-item">
        <div class="con-lable flex-1">申请时间</div>
        <div class="con-cont">{{info.created_at}}</div>
      </div>

    </div>

    <div class="od-footer ">
      <!-- <div @click="updateRefund()" class="btn-o">修改申请</div> -->
      <div v-if="info.status==0" @click.stop="cancel_refund( )" class="btn-o-b">取消申请</div>

    </div>
  </div>
</template>

<script>
import { ImagePreview } from 'vant';
export default {
  name: 'refundiDetail',
  data() {
    return {
      info: {},
      tipList: ['1、发起退款退货申请', '2、退货需将退货商品邮寄至商家指定地址，并在系统内输入快递单号', '3、商家收货后确认无误', '4、退款到您的账户']
    }
  },
  created() {
    this.init()
  },
  filters:{
    refund_result(v){
      if(v==0){
        return '等待处理'
      }else{
        return v
      }
    }
  },
  methods: {
    //初始化方法
    init() {
      this.getInfo()
    },
    getInfo() {
      let id = this.$route.query.id
      this.m_loading()
      this.api.refund_detail({ refund_id: id }).then(res => {
        this.info = res.data
        this.m_hideLoading()
      })
    },

    updateRefund() {
      sessionStorage.refundData = JSON.stringify(this.info)
      this.$router.push('/refund?edit=1')
    },


    //取消
    cancel_refund(item, index) {
      this.$dialog.confirm({
        title: '提示',
        message: '是否取消申请？'
      }).then(() => {
        this.m_loading()
        this.api.cancel_refund({ id: this.info.id }).then(res => {
          this.m_hideLoading()
          sessionStorage.cancelRefund = 1
          this.m_success('操作成功')
          setTimeout(() => {
            this.$router.go(-1)
          }, 1500)
        })
      }).catch((err) => {
        console.log(err)
      });

    },

    showImg(images, startPosition = 0) {
      ImagePreview({ images, startPosition })
    }
  },
}

</script>
<style lang='scss' scoped>
.refundiDetail {
  box-sizing: border-box;
  padding-bottom: 1.4rem;
}
.r-title {
  font-size: 0.36rem;
  margin-bottom: 0.3rem;
}
.r-content {
  background: #fff;
  padding: 0.26rem;
}
.t-t1 {
  font-size: 0.29rem;
  margin-bottom: 0.15rem;
  color: #666;
}

.r-t2 {
  font-size: 0.28rem;
  padding: 0.26rem;
  color: #444;
}

.od-footer {
  text-align: right;
  width: 100%;
  // padding: 0.3rem 0.26rem;
  box-sizing: border-box;
  background: #fff;
  border-top: 1px solid #eee;
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  div {
    margin: 0.3rem 0.26rem;
  }
}

.con-text {
  padding: 0 0.26rem;
  box-sizing: border-box;
  background: #fff;
  color: #000;
  .con-item {
    padding: 0.26rem 0;
    font-size: 0.28rem;
    border-bottom: 1px solid #f5f5f5;
    word-wrap: break-word;
  }
  .con-cont {
    width: 5rem;
    text-align: right;
  }
}

.c-img {
  width: 1rem;
  height: 1rem;
  margin-right: 0.15rem;
  margin-bottom: 0.15rem;
}

.address {
  padding: 0.26rem;
  box-sizing: border-box;
  background: #fff;
}
</style>